Bug 1346395 - Remove Trove from RHOSP packaging, docs, PM content
Summary: Remove Trove from RHOSP packaging, docs, PM content
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 10.0 (Newton)
Hardware: All
OS: All
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Elise Gafford
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 17:20 UTC by Rob Young
Modified: 2016-12-14 15:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:39:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Rob Young 2016-06-14 17:20:08 UTC
Description of problem:
Remove Trove from RHOSP packaging, test plans, CI, PM content.

Comment 2 Rob Young 2016-06-17 14:45:59 UTC
(In reply to Rob Young from comment #0)
> Description of problem:
> Remove Trove from RHOSP packaging, test plans, CI, PM content.

Please include the following content in the OSP 9 and 10 readme files:

DEPRECATION NOTICE: Based on ​customer feedback, and the constant message that support for commercially available database was an absolute must from the quasi totality of the customers we surveyed, we have came to the conclusion that we should rather concentrate our effort in having succesful partnerships around Trove rather than building a fully open-source solution that will not benefit our customers.
​
Beginning in RHOSP 10, ​the OpenStack Trove service, which has been in Tech Preview so far, will no longer be included in the RHOSP distribution. We are working with a trusted partner to provide our customers with a production ready DBaaS service. Please contact your sales account manager to learn more about this option.”

Comment 5 Elise Gafford 2016-09-21 18:01:19 UTC
At present the RHOS 10 release is only shipping puppet-trove and python-troveclient, which is a reasonable compromise to support partnered vendors and per plan.

Comment 10 Luigi Toscano 2016-11-03 12:26:35 UTC
Only puppet-trove and python-troveclient are available in the repositories for the latest snapshots.

Comment 13 errata-xmlrpc 2016-12-14 15:39:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.